Subject: RE: Zsh observations
From: Michael Schaap <[email-masked]>
To: "Andrej Borsenkow" <[email-masked]>
Cc: <[email-masked]>, "ZSH Workers Mailing List" <[email-masked]>
Date: Mon, 09 Jul 2001 11:31:16 +0200

At 07:49 9-7-2001, Andrej Borsenkow wrote:
> >
> > Sorry, I made a mistake in my exaple.  I meant:
> >          % ./setu<TAB>
>
>(tty1)% ./fTAB
>(tty1)% ./foo.exe
>(tty1)% ll fo*
>-rwxrwxrwx    1 MW1G017  ITS             4 Jul  9 09:40 foo.exe*
>(tty1)% chmod -x foo.exe
>(tty1)% ./fo
>No matches for: `external command', `executable file or directory', `builtin
>com
>mand', `shell function', `alias', `reserved word', `job', or `parameter'
>
>Are you sure setup.exe has execute permissons?

         % ls -l
         total 264
         drwxrwxrwx   32 Administ None         4096 Jun 18 10:36 contrib
         drwxrwxrwx   57 Administ None         8192 Jun  3 19:25 latest
         -rwxrwxrwx    1 Administ None       239616 Jul  6 18:16 setup.exe
         -rw-rw-rw-    1 Administ None        17970 Jul  8 16:53 setup.ini

But remember, I've run
         % zstyle ':completion::complete:-command-:*' ignored-patterns 
'*.(#i)(exe|dll)'
on your advice.
This works fine when running things from the $PATH, after applying your 
patch, but not this way.

I guess I'll just stop ignoring exes.  ("Doctor, it hurts when I do this.")

  - Michael

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/